
export function useDebounce(func: () => void, timeout: number) {
  // State and setters for debounced value
  let timer: any;
  return () => {
    clearTimeout(timer);
    timer = setTimeout(() => func(), timeout);
  };
}
